#include <ItemStack/ItemStack.hpp>
#include <Widget/ItemIcon/ItemIcon.hpp>

ItemIcon::ItemIcon(const ItemStack &refStack) : refStack(refStack) {}

void ItemIcon::draw(GraphicsContext &context)
{
    refStack.getItem()->draw(context, 0, 0, refStack);
}

glm::ivec2 ItemIcon::getMinSize()
{
    return glm::ivec2(8, 8);
}